<?php

namespace App\Filament\Admin\Resources\ProductCategories\Schemas;

use Filament\Infolists\Components\IconEntry;
use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class ProductCategoryInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('en_name')
                    ->placeholder('-'),
                TextEntry::make('fa_name')
                    ->placeholder('-'),
                TextEntry::make('en_description')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('fa_description')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('media')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('thumbnail')
                    ->placeholder('-'),
                TextEntry::make('slug'),
                IconEntry::make('is_active')
                    ->boolean(),
                TextEntry::make('created_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('updated_at')
                    ->dateTime()
                    ->placeholder('-'),
            ]);
    }
}
